Bug 227487 - joe wakes up spuriously once per second even when there's nothing to do
joe wakes up spuriously once per second even when there's nothing to do
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: joe (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks: wakeup
  Show dependency treegraph
 
Reported: 2007-02-06 07:37 EST by Arjan van de Ven
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 08:46:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix wakeup behavior (1.00 KB, patch)
2007-02-06 07:37 EST, Arjan van de Ven
no flags Details | Diff

  None (edit)
Description Arjan van de Ven 2007-02-06 07:37:00 EST
Description of problem:

joe wakes up once per second to do 2 things
1) check if the window changed size
2) update the clock

for 1) it already gets another signal, so that's redunant (after fixing a small
bug in it, see patch)
for 2), the clock updates only shows minutes, so waking up once per minute is
more than plenty for this.

The patch attached will fix both these issues; please consider inclusion
Comment 1 Arjan van de Ven 2007-02-06 07:37:00 EST
Created attachment 147461 [details]
patch to fix wakeup behavior
Comment 2 Ivana Varekova 2007-02-07 08:46:17 EST
Thanks.
Fixed in joe-3.5-2.fc7.

Note You need to log in before you can comment on or make changes to this bug.